Request
curl https://sandbox.api.lendeasy.ai/v1/servicing/admin/workflow-definitions/$WORKFLOW_KEY \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT"
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/admin/workflow-definitions/${workflowKey}`, {
method: "GET",
headers: { Authorization: `Bearer ${token}`, "LendEasy-Tenant": tenant },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/servicing/admin/workflow-definitions/{workflow_key}",
headers={"Authorization": f"Bearer {token}", "LendEasy-Tenant": tenant},
)
{
"workflowKey": "COLLECTIONS_DEFAULT",
"caseTypeCode": "COLLECTIONS",
"caseTypeDisplayName": "Collections",
"activeVersion": 2,
"versions": [
{
"versionNumber": 2,
"status": "ACTIVE",
"discarded": false,
"rowVersion": 5,
"activatedAt": "2026-07-20T12: 00:00Z",
"stageCount": 4,
"openPinnedCases": 12
},
{
"versionNumber": 3,
"status": "DRAFT",
"discarded": false,
"rowVersion": 1,
"stageCount": 4,
"openPinnedCases": 0
}
],
"resolvedBy": {
"reasons": [
{
"caseTypeCode": "COLLECTIONS",
"reasonCode": "DELINQUENCY_SIGNAL"
}
],
"defaultOfTypes": [
"COLLECTIONS"
]
}
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}